Bug 255026 - many kernel configuration files link to outdated Handbook version
Summary: many kernel configuration files link to outdated Handbook version
Status: In Progress
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: Ceri Davies
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-13 08:46 UTC by Michael Büker
Modified: 2021-05-25 11:47 UTC (History)
4 users (show)

See Also:


Attachments
Patch for src/* (34.12 KB, patch)
2021-04-14 13:51 UTC, Ceri Davies
no flags Details | Diff
New patch (34.41 KB, patch)
2021-04-19 08:57 UTC, Ceri Davies
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Büker 2021-04-13 08:46:50 UTC
Almost all kernel configuration files contain in their header the following Handbook link:

https://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/kernelconfig-config.html

However, that links to an outdated version of the Handbook, and should be:

https://www.FreeBSD.org/doc/en/books/handbook/kernelconfig-config.html

The following 35 kernel configuration files are affected:

# grep -Rl "en_US.ISO8859-1" /usr/src/sys/*/conf/

/usr/src/sys/amd64/conf/GENERIC
/usr/src/sys/amd64/conf/GENERIC-KCSAN
/usr/src/sys/amd64/conf/MINIMAL
/usr/src/sys/arm/conf/ALPINE
/usr/src/sys/arm/conf/APALIS-IMX6
/usr/src/sys/arm/conf/ARMADAXP
/usr/src/sys/arm/conf/COLIBRI-VF50
/usr/src/sys/arm/conf/COSMIC
/usr/src/sys/arm/conf/EFIKA_MX
/usr/src/sys/arm/conf/GENERIC
/usr/src/sys/arm/conf/VERSATILEPB
/usr/src/sys/arm/conf/IMX53
/usr/src/sys/arm/conf/IMX6
/usr/src/sys/arm/conf/JETSON-TK1
/usr/src/sys/arm/conf/QUARTZ
/usr/src/sys/arm/conf/RPI-B
/usr/src/sys/arm/conf/SOCDK
/usr/src/sys/arm/conf/SOCFPGA
/usr/src/sys/arm/conf/SOCKIT
/usr/src/sys/arm/conf/SOCKIT-BERI
/usr/src/sys/arm/conf/TEGRA124
/usr/src/sys/arm/conf/VYBRID
/usr/src/sys/arm/conf/ZEDBOARD
/usr/src/sys/arm64/conf/GENERIC
/usr/src/sys/arm64/conf/GENERIC-UP
/usr/src/sys/i386/conf/GENERIC
/usr/src/sys/i386/conf/MINIMAL
/usr/src/sys/mips/conf/ERL
/usr/src/sys/mips/conf/OCTEON1
/usr/src/sys/mips/conf/XLP64
/usr/src/sys/mips/conf/XLPN32
/usr/src/sys/powerpc/conf/GENERIC
/usr/src/sys/powerpc/conf/GENERIC64
/usr/src/sys/powerpc/conf/GENERIC64LE
/usr/src/sys/riscv/conf/GENERIC
Comment 1 Ceri Davies 2021-04-14 13:51:59 UTC
Created attachment 224107 [details]
Patch for src/*

Mega patch for all of src attached.

RELNOTES_LANG in release/Makefile doesn't seem to do anything, but the removal might need testing.
Comment 2 Ed Maste freebsd_committer 2021-04-14 18:02:47 UTC
Should the new link be:

https://docs.freebsd.org/en/books/handbook/kernelconfig/
Comment 3 Graham Perrin 2021-04-14 18:14:15 UTC
8.4 at <https://docs.freebsd.org/en/books/handbook/kernelconfig-config.html> does appear to be outdated, compared to 8.4 at <https://docs.freebsd.org/en/books/handbook/kernelconfig/#kernelconfig-config>

The former refers to: 

> Section A.3, “Using Subversion”

If one begins at the FreeBSD home page, then the FreeBSD Handbook finds 'Using Subversion' at section _4_ of Appendix A, <https://docs.freebsd.org/en/books/handbook/mirrors/#svn>.
Comment 4 Michael Büker 2021-04-17 06:29:32 UTC
I concur, the correct link is:

https://docs.freebsd.org/en/books/handbook/kernelconfig/#kernelconfig-config
Comment 5 Ceri Davies 2021-04-19 08:57:12 UTC
Created attachment 224244 [details]
New patch

New patch attached.
Comment 6 Ceri Davies freebsd_committer 2021-05-14 19:18:59 UTC
yoink
Comment 7 Ceri Davies freebsd_committer 2021-05-14 19:26:41 UTC
https://reviews.freebsd.org/D30265 opened
Comment 8 commit-hook freebsd_committer 2021-05-20 08:27:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=c1a148873d6488f1dac1cfb207a5927cef89888e

commit c1a148873d6488f1dac1cfb207a5927cef89888e
Author:     Ceri Davies <ceri@FreeBSD.org>
AuthorDate: 2021-05-20 08:26:02 +0000
Commit:     Ceri Davies <ceri@FreeBSD.org>
CommitDate: 2021-05-20 08:27:10 +0000

    sys/*/conf/*, docs: fix links to handbook

    While here, fix all links to older en_US.ISO8859-1 documentation
    in the src/ tree.

    PR:             255026
    Reported by:    Michael Büker <freebsd@michael-bueker.de>
    Reviewed by:    dbaio
    Approved by:    blackend (mentor), re (gjb)
    MFC after:      10 days
    Differential Revision: https://reviews.freebsd.org/D30265

 UPDATING                              | 2 +-
 release/Makefile                      | 1 -
 share/man/man4/mac.4                  | 4 ++--
 share/man/man7/release.7              | 6 +++---
 share/man/man9/mac.9                  | 4 ++--
 share/man/man9/pci.9                  | 4 ++--
 sys/amd64/conf/GENERIC                | 2 +-
 sys/amd64/conf/GENERIC-KCSAN          | 2 +-
 sys/amd64/conf/GENERIC-NODEBUG        | 2 +-
 sys/amd64/conf/MINIMAL                | 2 +-
 sys/arm/conf/ALPINE                   | 2 +-
 sys/arm/conf/APALIS-IMX6              | 2 +-
 sys/arm/conf/ARMADAXP                 | 2 +-
 sys/arm/conf/COLIBRI-VF50             | 2 +-
 sys/arm/conf/COSMIC                   | 2 +-
 sys/arm/conf/EFIKA_MX                 | 2 +-
 sys/arm/conf/GENERIC                  | 2 +-
 sys/arm/conf/GENERIC-NODEBUG          | 2 +-
 sys/arm/conf/IMX53                    | 2 +-
 sys/arm/conf/IMX6                     | 2 +-
 sys/arm/conf/JETSON-TK1               | 2 +-
 sys/arm/conf/QUARTZ                   | 2 +-
 sys/arm/conf/RPI-B                    | 2 +-
 sys/arm/conf/SOCDK                    | 2 +-
 sys/arm/conf/SOCFPGA                  | 2 +-
 sys/arm/conf/SOCKIT                   | 2 +-
 sys/arm/conf/SOCKIT-BERI              | 2 +-
 sys/arm/conf/TEGRA124                 | 2 +-
 sys/arm/conf/VYBRID                   | 2 +-
 sys/arm/conf/ZEDBOARD                 | 2 +-
 sys/arm64/conf/GENERIC                | 2 +-
 sys/arm64/conf/GENERIC-NODEBUG        | 2 +-
 sys/arm64/conf/GENERIC-UP             | 2 +-
 sys/contrib/zstd/FREEBSD-upgrade      | 2 +-
 sys/i386/conf/GENERIC                 | 2 +-
 sys/i386/conf/GENERIC-NODEBUG         | 2 +-
 sys/i386/conf/MINIMAL                 | 2 +-
 sys/mips/conf/ERL                     | 2 +-
 sys/mips/conf/OCTEON1                 | 2 +-
 sys/mips/conf/XLP64                   | 2 +-
 sys/mips/conf/XLPN32                  | 2 +-
 sys/powerpc/conf/GENERIC              | 2 +-
 sys/powerpc/conf/GENERIC-NODEBUG      | 2 +-
 sys/powerpc/conf/GENERIC64            | 2 +-
 sys/powerpc/conf/GENERIC64-NODEBUG    | 2 +-
 sys/powerpc/conf/GENERIC64LE          | 2 +-
 sys/riscv/conf/GENERIC                | 2 +-
 sys/riscv/conf/GENERIC-NODEBUG        | 2 +-
 usr.bin/fortune/datfiles/freebsd-tips | 3 +--
 usr.bin/timeout/timeout.1             | 6 +++---
 usr.sbin/lpr/lpd/printcap             | 2 +-
 usr.sbin/mergemaster/mergemaster.8    | 7 +++----
 usr.sbin/ppp/ppp.8                    | 8 +++-----
 53 files changed, 63 insertions(+), 68 deletions(-)
Comment 9 Michael Büker 2021-05-23 11:32:39 UTC
Looks like it's all fixed in -CURRENT. Is this bug waiting for backports to the -STABLE branches, or can it be closed?
Comment 10 Ceri Davies freebsd_committer 2021-05-25 11:11:59 UTC
Yes, I'll MFC them back to 12- and 13-stable.